## org.jCharts.axisChart.axis.scale
Class AutomaticScaleCalculator

    java.lang.Object
      org.jCharts.axisChart.axis.scale.ScaleCalculator
          org.jCharts.axisChart.axis.scale.AutomaticScaleCalculator

    public class AutomaticScaleCalculator

extends ScaleCalculator

Field Summary

Fields inherited from class org.jCharts.axisChart.axis.scale.ScaleCalculator
`increment`

Constructor Summary
`AutomaticScaleCalculator()`

Method Summary
`void` `computeIncrement()` Computes the axis increment taking into account the user specified criteria.

Methods inherited from class org.jCharts.axisChart.axis.scale.ScaleCalculator
`computeScaleValues, getIncrement, getMaxValue, getMinValue, getNumberOfScaleItems, getRoundingPowerOfTen, round, roundTheIncrement, setMaxValue, setMinValue, setNumberOfScaleItems, setRoundingPowerOfTen, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AutomaticScaleCalculator

    public AutomaticScaleCalculator()

Method Detail

### computeIncrement

    public void computeIncrement()

  Computes the axis increment taking into account the user specified criteria.

  Specified by:
    `computeIncrement` in class `ScaleCalculator`